Bug 501350 - There's no way to turn off the relatime filesystem mount misfeature.
There's no way to turn off the relatime filesystem mount misfeature.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: util-linux-ng (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-18 13:05 EDT by Bruce Jerrick
Modified: 2009-09-21 18:23 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.14.2-11.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-18 20:16:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruce Jerrick 2009-05-18 13:05:03 EDT
Description of problem:
There's no way to turn off the relatime filesystem mount misfeature.

Version-Release number of selected component (if applicable):
util-linux-ng-2.14.2-8.fc11.src.rpm
kernel-2.6.29.3-140.fc11.src.rpm

How reproducible:
100%

Steps to Reproduce:
1. Mount (or remount) a filesystem with '-o norelatime'
2. Look at its entry in /proc/mounts
  
Actual results:
relatime is set

Expected results:
relatime should not be set if 'o norelatime' is given

Additional info:
Examination of the code shows the problem.  In the do_mount() routine
in fs/namespace.c as modified by linux-2.6-relatime-by-default.patch
in the kernel source package, mnt_flags is initialized to 0, then has
MNT_RELATIME or'd in unconditionally.  The only way to clear that bit
is by having MS_STRICTATIME set in the flags parameter of do_mount()
(passed in via mount(2)), but mount(8) has no provision to do that --
when given the norelatime option, it just omits MS_RELATIME from the
mount(2) mountflags argument.

Comment:
It would be nice to have a boolean default_relatime kernel boot option;
F8 and F9 had that (linux-2.6-smarter-relatime.patch) but it went away
in F10.
Comment 1 Karel Zak 2009-05-19 03:27:20 EDT
Good point. Thanks.

The MS_STRICTATIME support is already in upstream mount(8) code. I'll backport it to F10 and F11.
Comment 2 Bug Zapper 2009-06-09 12:03:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora Update System 2009-09-17 06:53:49 EDT
util-linux-ng-2.14.2-11.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/util-linux-ng-2.14.2-11.fc11
Comment 4 Fedora Update System 2009-09-18 20:16:24 EDT
util-linux-ng-2.14.2-11.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Jim 2009-09-21 18:23:59 EDT
Thank yiou.  The strictatime explanation in man (8) mount will be confusing to many users.

Note You need to log in before you can comment on or make changes to this bug.